DOM Level 3 API: Interface NodeEditAS

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xerces.dom3.as
Interface NodeEditAS

All Known Subinterfaces:
  CharacterDataEditAS, DocumentEditAS, ElementEditAS

Deprecated. This interface extends a `Node` from with additional methods for guided document editing. The expectation is that an instance of the `DOMImplementationAS` interface can be obtained by using binding-specific casting methods on an instance of the `DOMImplementation` interface when the DOM implementation supports the feature "`AS-DOC`".

See also the Document Object Model (DOM) Level 3 Abstract Schemas and Load and Save Specification.

public interface NodeEditAS

Field Summary
`static short` | `NS_WF_CHECK` Deprecated. Check for namespace well-formedness includes `WF_CHECK`.
`static short` | `PARTIAL_VALIDITY_CHECK` Deprecated. Checks for whether this node is partially valid.
`static short` | `STRICT_VALIDITY_CHECK` Deprecated. Checks for strict validity of the node with respect to active AS which by definition includes `NS_WF_CHECK`.
`static short` | `WF_CHECK` Deprecated. Check for well-formedness of this node.

Method Summary
`boolean` | `canAppendChild(org.w3c.dom.Node newChild)` Deprecated. Has the same arguments as `AppendChild`.
`boolean` | `canInsertBefore(org.w3c.dom.Node newChild, org.w3c.dom.Node refChild)` Deprecated. Determines whether the `insertBefore` operation from the `Node` interface would make this document invalid with respect to the currently active AS.
`boolean` | `canRemoveChild(org.w3c.dom.Node oldChild)` Deprecated. Has the same arguments as `RemoveChild`.
`boolean` | `canReplaceChild(org.w3c.dom.Node newChild, org.w3c.dom.Node oldChild)` Deprecated. Has the same arguments as `ReplaceChild`.
`boolean` | `isNodeValid(boolean deep, short wFValidityCheckLevel)` Deprecated. Determines if the Node is valid relative to currently active AS.

Field Detail

### WF_CHECK

    public static final short WF_CHECK

  Deprecated.
  Check for well-formedness of this node.

### NS_WF_CHECK

    public static final short NS_WF_CHECK

  Deprecated.
  Check for namespace well-formedness includes `WF_CHECK`.

### PARTIAL_VALIDITY_CHECK

    public static final short PARTIAL_VALIDITY_CHECK

  Deprecated.
  Checks for whether this node is partially valid. It includes `NS_WF_CHECK`.

### STRICT_VALIDITY_CHECK

    public static final short STRICT_VALIDITY_CHECK

  Deprecated.
  Checks for strict validity of the node with respect to active AS which by definition includes `NS_WF_CHECK`.

Method Detail

### canInsertBefore

    public boolean canInsertBefore(org.w3c.dom.Node newChild,
                                   org.w3c.dom.Node refChild)

  Deprecated.
  Determines whether the `insertBefore` operation from the `Node` interface would make this document invalid with respect to the currently active AS. Describe "valid" when referring to partially completed documents.
  Parameters:
    `newChild` - `Node` to be inserted.
    `refChild` - Reference `Node`.
  Returns:
    `true` if no reason it can't be done; `false` if it can't be done.

### canRemoveChild

    public boolean canRemoveChild(org.w3c.dom.Node oldChild)

  Deprecated.
  Has the same arguments as `RemoveChild`.
  Parameters:
    `oldChild` - `Node` to be removed.
  Returns:
    `true` if no reason it can't be done; `false` if it can't be done.

### canReplaceChild

    public boolean canReplaceChild(org.w3c.dom.Node newChild,
                                   org.w3c.dom.Node oldChild)

  Deprecated.
  Has the same arguments as `ReplaceChild`.
  Parameters:
    `newChild` - New `Node`.
    `oldChild` - `Node` to be replaced.
  Returns:
    `true` if no reason it can't be done; `false` if it can't be done.

### canAppendChild

    public boolean canAppendChild(org.w3c.dom.Node newChild)

  Deprecated.
  Has the same arguments as `AppendChild`.
  Parameters:
    `newChild` - `Node` to be appended.
  Returns:
    `true` if no reason it can't be done; `false` if it can't be done.

### isNodeValid

    public boolean isNodeValid(boolean deep,
                               short wFValidityCheckLevel)
                        throws DOMASException

  Deprecated.
  Determines if the Node is valid relative to currently active AS. It doesn't normalize before checking if the document is valid. To do so, one would need to explicitly call a normalize method.
  Parameters:
    `deep` - Setting the `deep` flag on causes the `isNodeValid` method to check for the whole subtree of the current node for validity. Setting it to `false` only checks the current node and its immediate child nodes. The `validate` method on the `DocumentAS` interface, however, checks to determine whether the entire document is valid.
    `wFValidityCheckLevel` - Flag to tell at what level validity and well-formedness checking is done.
  Returns:
    `true` if the node is valid/well-formed in the current context and check level defined by `wfValidityCheckLevel`, `false` if not.
  Throws:
    `DOMASException` - `NO_AS_AVAILABLE`: Raised if the `DocumentEditAS` related to this node does not have any active `ASModel` and `wfValidityCheckLevel` is set to `PARTIAL` or `STRICT_VALIDITY_CHECK` .

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2004 Apache XML Project. All Rights Reserved.